Package org.lwjgl.opengl

# Class ARBMultiDrawIndirect

java.lang.Object
org.lwjgl.opengl.ARBMultiDrawIndirect

public final class ARBMultiDrawIndirect extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`glMultiDrawArraysIndirect(int mode, long indirect_buffer_offset, int primcount, int stride)`
`static void`
`glMultiDrawArraysIndirect(int mode, ByteBuffer indirect, int primcount, int stride)`
`static void`
`glMultiDrawArraysIndirect(int mode, IntBuffer indirect, int primcount, int stride)`
Overloads glMultiDrawArraysIndirect.
`static void`
`glMultiDrawElementsIndirect(int mode, int type, long indirect_buffer_offset, int primcount, int stride)`
`static void`
`glMultiDrawElementsIndirect(int mode, int type, ByteBuffer indirect, int primcount, int stride)`
`static void`
`glMultiDrawElementsIndirect(int mode, int type, IntBuffer indirect, int primcount, int stride)`
Overloads glMultiDrawElementsIndirect.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### glMultiDrawArraysIndirect

public static void glMultiDrawArraysIndirect(int mode, ByteBuffer indirect, int primcount, int stride)

### glMultiDrawArraysIndirect

public static void glMultiDrawArraysIndirect(int mode, long indirect_buffer_offset, int primcount, int stride)

### glMultiDrawArraysIndirect

public static void glMultiDrawArraysIndirect(int mode, IntBuffer indirect, int primcount, int stride)
Overloads glMultiDrawArraysIndirect.

### glMultiDrawElementsIndirect

public static void glMultiDrawElementsIndirect(int mode, int type, ByteBuffer indirect, int primcount, int stride)

### glMultiDrawElementsIndirect

public static void glMultiDrawElementsIndirect(int mode, int type, long indirect_buffer_offset, int primcount, int stride)

### glMultiDrawElementsIndirect

public static void glMultiDrawElementsIndirect(int mode, int type, IntBuffer indirect, int primcount, int stride)
Overloads glMultiDrawElementsIndirect.